notifaksi error

Pertanyaan umum seputar distribusi Ubuntu yang menjadi distro wajib members ubuntu-indonesia.com
User avatar
ammank_mkrmp
Posts: 25
Joined: 06 Oct 2013, 14:31
Location: makassar, indonesia

notifaksi error

Postby ammank_mkrmp » 06 Oct 2013, 14:41

an error accured, please run package manager from the right-click menu or apt-get in a terminal to see what is wrong. the error message was, 'error:brokencount >0.'this usually means that your installed packages have unmet dependencies.

mohon bantuannya :) solusinya...
User avatar
q_p
Posts: 3109
Joined: 14 Oct 2012, 13:01
Contact:

Re: notifaksi error

Postby q_p » 06 Oct 2013, 14:51

Dari notifikasi tsb, anda diminta menjalankan install paket via cli (terminal) untuk melihat pesan error-nya.

Code: Select all

apt-get install nama-paket
Coba anda jalankan, lalu pesan error-nya anda pastekan di sini untuk kita diskusikan bareng2 :)
User avatar
ammank_mkrmp
Posts: 25
Joined: 06 Oct 2013, 14:31
Location: makassar, indonesia

Re: notifaksi error

Postby ammank_mkrmp » 06 Oct 2013, 17:46

nama paketnya mksdnya apa??? maklum pengguna baruu
User avatar
q_p
Posts: 3109
Joined: 14 Oct 2012, 13:01
Contact:

Re: notifaksi error

Postby q_p » 06 Oct 2013, 18:28

Error yang anda lampirkan tsb di atas, muncul pada saat anda melakukan install program/paket ? Dan karena pesan errornya kurang lengkap, anda diminta untuk menjalankan-nya lewat terminal/cli agar muncul pesan error yang lebih lengkap. Berdasar pesan error tsb nantinya digunakan untuk perbaikan langkah2 install program/paket ?
User avatar
nif
Posts: 2818
Joined: 31 Mar 2011, 07:48

Re: notifaksi error

Postby nif » 07 Oct 2013, 08:00

setuju dengan om q_p di atas.
atau bisa juga diperiksa menggunakan perintah sudo apt-get check di terminal.
kemudian silahkan salin output-nya ke sini.
User avatar
ammank_mkrmp
Posts: 25
Joined: 06 Oct 2013, 14:31
Location: makassar, indonesia

Re: notifaksi error

Postby ammank_mkrmp » 07 Oct 2013, 08:25

Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
libc6 : Recommends: libc6-i686
Breaks: locales (< 2.17)
E: Unmet dependencies. Try using -f.
ini output yang keluar setelah saya eksekusi perintah sudo apt-get check
User avatar
nif
Posts: 2818
Joined: 31 Mar 2011, 07:48

Re: notifaksi error

Postby nif » 07 Oct 2013, 08:33

oke, itu masalahnya; ada unmet dependency
terkoneksi ke internet? kalo iya, silahkan langsung jalankan aja perintah ini di terminal ;
sudo apt-get -f install
atau sudo apt-get install -f juga bisa, sama aja

setelah itu coba cek pake sudo apt-get check lagi. seharusnya sudah tak ada error. tapi kalo masih ada, silahkan lampirkan lagi output-nya ke sini.
User avatar
ammank_mkrmp
Posts: 25
Joined: 06 Oct 2013, 14:31
Location: makassar, indonesia

Re: notifaksi error

Postby ammank_mkrmp » 07 Oct 2013, 08:34

koneksi internet terbatas sih
User avatar
ammank_mkrmp
Posts: 25
Joined: 06 Oct 2013, 14:31
Location: makassar, indonesia

Re: notifaksi error

Postby ammank_mkrmp » 07 Oct 2013, 08:36

Version of libc6 on system is 2.17-93.
dpkg: error processing libc6-dev (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of locales:
libc6 (2.17-93) breaks locales (<< 2.17) and is installed.
Version of locales to be configured is 2.13+git20120306-3.
dpkg: error processing locales (--configure):
dependency problems - leaving unconfigured
Setting up libnih1 (1.0.3-4.1+b1) ...
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
Setting up libnih-dbus1 (1.0.3-4.1+b1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
libc6-dev
locales
E: Sub-process /usr/bin/dpkg returned an error code (1)
ini output bagian bawahnya aja, dengan perintah sudo apt-get -f install
User avatar
nif
Posts: 2818
Joined: 31 Mar 2011, 07:48

Re: notifaksi error

Postby nif » 07 Oct 2013, 08:37

kalo koneksi internet tak mencukupi, bisa coba baca tentang apt-id di signature saya.
User avatar
ammank_mkrmp
Posts: 25
Joined: 06 Oct 2013, 14:31
Location: makassar, indonesia

Re: notifaksi error

Postby ammank_mkrmp » 07 Oct 2013, 08:37

root@dell-Inspiron-N4050:/home/dell# sudo apt-get check
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
libc6 : Recommends: libc6-i686
Breaks: locales (< 2.17)
libc6-dev : Depends: libc6 (= 2.17-92+b1) but 2.17-93 is installed
E: Unmet dependencies. Try using -f.

ini setelah sudo apt-get check
User avatar
ammank_mkrmp
Posts: 25
Joined: 06 Oct 2013, 14:31
Location: makassar, indonesia

Re: notifaksi error

Postby ammank_mkrmp » 07 Oct 2013, 08:41

koneksi internet bisa kok
User avatar
nif
Posts: 2818
Joined: 31 Mar 2011, 07:48

Re: notifaksi error

Postby nif » 07 Oct 2013, 08:43

[quote=ammank_mkrmp] ...
dpkg: dependency problems prevent configuration of locales:
libc6 (2.17-93) breaks locales (<< 2.17) and is installed.
...

oh, ternyata ada paket yang saling bertentangan :confused:
apakah di komputernya terinstall aptitude atau synaptic pacakage manager? setau saya keduanya cukup bagus digunakan untuk masalah seperti ini.